%define oname   rubyntlm

Name:       ruby-%{oname}
Version:    0.1.1
Release:    %mkrel 1
Summary:    Ruby/NTLM library
License:    Ruby
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/rubyntlm
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Ruby/NTLM provides message creator and parser for the NTLM authentication.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}

%check
rake test



%changelog
* Sun Apr 17 2011 shikamaru <shikamaru> 0.1.1-1.mga1
+ Revision: 87052
- imported package ruby-rubyntlm


* Sun Apr 17 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.1.1-1
- Initial package
